Name:           python-peek-plugin-base
Version:        4.1.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Peek Plugin Base - dependencies that an Peek plugin needs

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Synerty/peek-plugin-base
Source:         %{pypi_source peek-plugin-base}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'peek-plugin-base' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-peek-plugin-base
Summary:        %{summary}

%description -n python3-peek-plugin-base %_description


%prep
%autosetup -p1 -n peek-plugin-base-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-peek-plugin-base -f %{pyproject_files}


%changelog
%autochangelog